List Latest Container Runtime Baseline Fingerprints
curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/container_runtime_latest_baseline_fingerprintsimport requests
url = "https://api.prd.rad.security/accounts/{account_id}/container_runtime_latest_baseline_fingerprints"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/accounts/{account_id}/container_runtime_latest_baseline_fingerprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"account_id": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"fingerprint": {
"apiVersion": "<string>",
"containers": [
{
"id": "<string>",
"imageDigest": "<string>",
"imageName": "<string>",
"name": "<string>",
"processes": [
{
"children": "<array>",
"connections": [
{
"address": "<string>",
"drift": true,
"hostname": "<string>",
"k8sName": "<string>",
"k8sNamespace": "<string>",
"port": 123,
"timestamp": "<string>",
"trustedCIDR": "<string>"
}
],
"drift": true,
"files": [
{
"drift": true,
"path": "<string>",
"timestamp": "<string>"
}
],
"gid": 123,
"id": "<string>",
"parentId": "<string>",
"programs": [
{
"args": [
"<string>"
],
"comm": "<string>",
"drift": true,
"hasPattern": true,
"sampleArgs": [
[
"<string>"
]
],
"timestamp": "<string>"
}
],
"repetition": {
"execCount": 123,
"recentTimestamp": "<string>"
},
"timestamp": "<string>",
"trustedIPPrefixes": [
{
"cidr": "<string>",
"name": "<string>",
"port": 123
}
],
"uid": 123
}
]
}
],
"kind": "<string>",
"metadata": {
"creationTimestamp": "<string>"
}
},
"id": "<string>",
"image_name": "<string>",
"notes": "<string>"
}
],
"page": 123,
"page_count": 123,
"page_size": 123,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Fingerprints
List Latest Container Runtime Baseline Fingerprints
GET
/
accounts
/
{account_id}
/
container_runtime_latest_baseline_fingerprints
List Latest Container Runtime Baseline Fingerprints
Path Parameters
Account id
Query Parameters
Filters
Query string to filter fingerprints
Page number starting from 1
Page size. Default: 50
Sort by field. Default: created_at:desc
Children limit
⌘I